// Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
// Необов'язкове завдання підвищеної складності
// Перевірити, чи введене значення є цілим числом. Якщо ця умова не дотримується, повторювати виведення вікна на екран, доки не буде введено ціле число.
// Отримати два числа, m і n. Вивести в консоль усі прості числа (http://ru.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE) в діапазоні від m до n (менше із введених чисел буде m, більше буде n). Якщо хоча б одне з чисел не відповідає умовам валідації, зазначеним вище, вивести повідомлення про помилку і запитати обидва числа знову.

let num = +prompt('Введіть число');

let m = Math.floor(Math.random() * num);
let n = Math.floor(Math.random() * num);
// console.log(m , n);

while (m >= n) {
    alert(`m = ${m}, n = ${n}. Поки не відповідає умовам завдання, треба отимати m < n`);
    num = +prompt(' Введіть число знову');
    m = Math.floor(Math.random() * num);
    n = Math.floor(Math.random() * num);
}

alert(`m < n now! Маємо значення: m = ${m}, n = ${n}`);

if (!isNaN(m) && !isNaN(n) && m < n) {
      console.log(`Prime numbers in the range from ${m} to ${n}:`);
      for (let i = m; i <= n; i++) {
        if (i < 2) continue; 
        let primeNumber = true;
        for (let j = 2; j * j <= i; j++) {
            if (i % j === 0) {
                primeNumber = false;
                break;
            }
        }
        if (primeNumber) {
            console.log(i);
        }
    }
  }

//далі освновна частина завдання
if (!isNaN(num)) {
      console.log(`Main task - numbers divisible by 5 (from 0 to отримане в промпті num = ${num})`);
      while (num % 1 !== 0) {
        num = +prompt('Введіть ціле число');
    }
  } else {
      num = +prompt('Введіть ціле число');
  }

for (let i = 0; i <= num; i++) {
    if (i % 5 == 0 && i > 0) {
            console.log(i);
        } else if (num < 5 || num === 0) {
            console.log("Sorry, no numbers");
            break;
        } else if (i % 5 == 0) {
            console.log(i); 
        }
}
  
// Теоретичні питання

// Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// JS Loops зручні для багаторазового виконання дій коду, 
// наприклад можна вивести елементи зі списку один за одним, "перебрати у циклі"

// Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// while виконується, поки умова залишається true а for зручно щоб "перебрати" дані

// Що таке явне та неявне приведення (перетворення) типів даних у JS?
// неявне - це автоматичне присвоення типу даних, наприклад рядку цифрове значення,
// явне ми контролюємо особисто


